package com.gic.auth.service;

import com.gic.api.base.commons.Page;
import com.gic.api.base.commons.ServiceResponse;
import com.gic.auth.dto.CollaboratorDTO;
import com.gic.auth.dto.CollaboratorListDTO;
import com.gic.auth.qo.CollaboratorListQO;

/**
 * 协作人接口
 * @ClassName: CollaboratorApiService 
 * @Description:  
 * @author guojuxing 
 * @date 2019/11/1 4:15 PM 
 */
public interface CollaboratorApiService {

    /**
     * 新增协作人
     * @Title: save 
     * @Description:
      * @author guojuxing
     * @param dto 
     * @return  com.gic.api.base.commons.ServiceResponse<java.lang.Integer> 
      */
    ServiceResponse<Integer> save(CollaboratorDTO dto);

    /**
     * 分页查询协作人泪奔
     * @Title: page 
     * @Description:
      * @author guojuxing
     * @param params 
     * @return  com.gic.api.base.commons.ServiceResponse<com.gic.api.base.commons.Page<com.gic.auth.dto.CollaboratorListDTO>> 
      */
    ServiceResponse<Page<CollaboratorListDTO>> page(CollaboratorListQO params);
}
